Bug 730445 - Curl command line No longer supports GSSAPI Delegation
Summary: Curl command line No longer supports GSSAPI Delegation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: curl
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Kamil Dudka
QA Contact: Miroslav Vadkerti
URL:
Whiteboard:
Depends On: 730444
Blocks: 782183 746849 840699
TreeView+ depends on / blocked
 
Reported: 2011-08-13 00:56 UTC by Adam Young
Modified: 2018-11-30 22:51 UTC (History)
5 users (show)

Fixed In Version: curl-7.19.7-30.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 10:09:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0393 normal SHIPPED_LIVE curl bug fix and enhancement update 2013-02-20 20:51:32 UTC

Description Adam Young 2011-08-13 00:56:23 UTC
Description of problem:

libcurl lost and recently regained the ability to do Kerberos TGT forwarding
via GSSAPI Delegation.  However, the ability to do this has not extended to the
Command line tool

Version-Release number of selected component (if applicable):
curl-7.21.3-9.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1.  Attempt to Use Curl against an application that requires TGT Delegation,
such as IPA.

Actual results:
Error from the server stating TGT was not provided


Expected results:
Normal functioning

Additional info:
This has been fixed upstream in:

https://github.com/bagder/curl/commit/5538904d775161d1a0fa3ebb77

Comment 2 RHEL Product and Program Management 2011-08-13 01:27:51 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Kamil Dudka 2011-08-14 17:34:24 UTC
(In reply to comment #0)
> Steps to Reproduce:
> 1.  Attempt to Use Curl against an application that requires TGT Delegation,
> such as IPA.

How can one use curl this way?  Please provide a self-contained step by step howto.

Comment 4 Adam Young 2011-08-15 01:53:34 UTC
It depends on  the web Server:  If the server requires TGT forwarding, it will fail if the Ticket is not forwarded.

The easiest way to test is to install Enterprise IPA and attempt to contact it like this:

curl -v  \
         -H "Content-Type:application/json" \
         -H "Accept:applicaton/json"\
         --negotiate -u : \
         --cacert /etc/ipa/ca.crt  \
         -d  '{"method":"user_find","params":[[""],{}],"id":0}' \
         -X POST       https://`hostname`/ipa/json

As documented here:

http://adam.younglogic.com/2010/07/talking-to-freeipa-json-web-api-via-curl/


This worked until GSSAPI Delegation was removed due to the security vulnerability reported here:

http://curl.haxx.se/mail/lib-2011-07/0054.html

in RHSA-2011:0918-01

The library has been modified to once again allow GSSAPI delegation, but it is deliberate.  The feature is not yet available in the CLI, which technically is a regression.

Comment 5 Kamil Dudka 2011-08-15 09:29:13 UTC
I somehow overlooked the note about the already added upstream option for this feature.  Then there is no problem in carrying the option to RHEL-6.

Comment 28 errata-xmlrpc 2013-02-21 10:09:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0393.html


Note You need to log in before you can comment on or make changes to this bug.